# Generated by Django 3.1.5 on 2021-02-22 19:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('MAIN', 'Главная'), ('ALT', 'Альтернативная')], default='MAIN', max_length=100)),
                ('icon', models.ImageField(upload_to='icons')),
                ('image', models.ImageField(blank=True, upload_to='images')),
                ('location_hint_1', models.TextField()),
                ('location_hint_2', models.TextField(blank=True, null=True)),
                ('password', models.CharField(max_length=100)),
                ('question', models.TextField()),
                ('question_hint', models.TextField(blank=True, null=True)),
                ('unlockable_text', models.TextField()),
                ('is_start', models.BooleanField(default=False)),
                ('is_final', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=False)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='WeddingQuest.node')),
            ],
            options={
                'verbose_name': 'Node',
                'verbose_name_plural': 'Nodes',
            },
        ),
        migrations.CreateModel(
            name='NodeUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('LOCKED', 'Доступа нет'), ('OPEN', 'Пароль введен'), ('DONE', 'Ответ на вопрос введен')], default='LOCKED', max_length=100)),
                ('open', models.DateTimeField(blank=True, null=True)),
                ('done', models.DateTimeField(blank=True, null=True)),
                ('location_hint_1_open', models.BooleanField(default=False)),
                ('location_hint_2_open', models.BooleanField(default=False)),
                ('question_hint_open', models.BooleanField(default=False)),
                ('picked_answer', models.CharField(blank=True, max_length=100, null=True)),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='WeddingQuest.node')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Node <-> User',
                'verbose_name_plural': 'Node <-> User connections',
            },
        ),
        migrations.CreateModel(
            name='UserAnswerGuess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answer_guess', models.TextField(blank=True, null=True)),
                ('proposed', models.DateTimeField()),
                ('node_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='WeddingQuest.nodeuser')),
            ],
            options={
                'verbose_name': 'UserAnswerGuess',
                'verbose_name_plural': 'UserAnswerGuesses',
            },
        ),
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=100)),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='WeddingQuest.node')),
            ],
            options={
                'verbose_name': 'Answer',
                'verbose_name_plural': 'Answers',
            },
        ),
        migrations.CreateModel(
            name='AltErrorMsg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answer_guess', models.CharField(db_index=True, max_length=100)),
                ('error_msg', models.TextField()),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='WeddingQuest.node')),
            ],
            options={
                'verbose_name': 'AltErrorMsg',
                'verbose_name_plural': 'AltErrorMsgs',
            },
        ),
    ]
